rte_ring_headtail(3)

NAME
rte_ring_headtail

SYNOPSIS

#include <rte_ring_core.h>

  Public Member Functions

volatile (uint32_t) head
volatile (uint32_t) tail

Detailed Description

structures to hold a pair of head/tail values and other metadata. Depending on sync_type format of that structure might be different, but offset for sync_type and tail values should remain the same.

Definition at line 65 of file rte_ring_core.h.

Member Function Documentation

  volatile (uint32_t )
prod/consumer head.

  volatile (uint32_t )
prod/consumer tail.

Field Documentation

  enum rte_ring_sync_type sync_type
sync type of prod/cons

Definition at line 70 of file rte_ring_core.h.

  uint32_t single
deprecated - True if single prod/cons

Definition at line 72 of file rte_ring_core.h.

Author

Generated automatically by Doxygen for DPDK from the source code.